<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:weightSum="100"
    tools:context="${packageName}.${activityClass}" >

    <RelativeLayout
        android:id="@+id/viewgroup_test_area"
        android:layout_width="fill_parent"
        android:layout_height="0dp"
        android:layout_weight="60"
        android:background="@android:color/black" >

        <FrameLayout
            android:id="@+id/frame_alpha"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_centerInParent="true"
            android:alpha="40"
            android:background="@android:color/white" >
        </FrameLayout>
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/viewgroup_controls"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="40"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="3" >

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:text="Alpha" />

                <TextView
                    android:id="@+id/text_alpha_percentage"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:text="Alpha" />

                <TextView
                    android:id="@+id/text_alpha_hex"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:ems="10"
                    android:layout_height="wrap_content"
                    android:text="Alpha" />
            </LinearLayout>

            <SeekBar
                android:id="@+id/seek_alpha"
                android:layout_width="match_parent"
                android:progress="100"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="4" >

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_horizontal"
                    android:text="RGB" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <EditText
                    android:id="@+id/edit_rgb"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:gravity="center_horizontal" >
                </EditText>

                <Button
                    android:id="@+id/button_setcolour"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Set" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

</LinearLayout>